Openstack-ansible queens deployment ERROR

asked 2018-08-01 10:53:17 -0600

amfgomez gravatar image

Hello erveryones

I am trying to deploy Openstack-ansible queens 17.0.7.

When I launch the second playbook "openstack-ansible setup-infraestructure.yml", i got the ferror below. Does anyone know how to solve the problem?, pelase If you need more information, don't hesitate to request it.

Thank you very much.

Best regard.

2018-08-01 17:43:55,298 p=23454 u=root | fatal: [infra1_rabbit_mq_container-a06aed74]: FAILED! => {"attempts": 5, "cache_update_time": 1533138219, "cache_updated": false, "changed": false, "failed": true, "msg": "'/usr/bin/apt-get -y -o \"Dpkg::Options::=--force-confdef\" -o \"Dpkg::Options::=--force-confold\" install 'erlang-base-hipe' 'erlang-nox' 'socat'' failed: E: There were unauthenticated packages and -y was used without --allow-unauthenticated\n", "rc": 100, "stderr": "E: There were unauthenticated packages and -y was used without --allow-unauthenticated\n", "stderr_lines": ["E: There were unauthenticated packages and -y was used without --allow-unauthenticated"], "stdout": "Reading package lists...\nBuilding dependency tree...\nReading state information...\nThe following additional packages will be installed:\n erlang-asn1 erlang-corba erlang-crypto erlang-diameter erlang-edoc\n erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic erlang-inets\n erlang-inviso erlang-mnesia erlang-odbc erlang-os-mon erlang-parsetools\n erlang-percept erlang-public-key erlang-runtime-tools erlang-snmp erlang-ssh\n erlang-ssl erlang-syntax-tools erlang-tools erlang-xmerl libltdl7 libodbc1\n libsctp1\nSuggested packages:\n erlang erlang-manpages erlang-doc erlang-gs xsltproc fop erlang-ic-java\n libmyodbc odbc-postgresql tdsodbc unixodbc-bin lksctp-tools\nThe following NEW packages will be installed:\n erlang-asn1 erlang-base-hipe erlang-corba erlang-crypto erlang-diameter\n erlang-edoc erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic\n erlang-inets erlang-inviso erlang-mnesia erlang-nox erlang-odbc\n erlang-os-mon erlang-parsetools erlang-percept erlang-public-key\n erlang-runtime-tools erlang-snmp erlang-ssh erlang-ssl erlang-syntax-tools\n erlang-tools erlang-xmerl libltdl7 libodbc1 libsctp1 socat\n0 upgraded, 30 newly installed, 0 to remove and 8 not upgraded.\nNeed to get 9015 kB/22.6 MB of archives.\nAfter this operation, 38.8 MB of additional disk space will be used.\nWARNING: The following packages cannot be authenticated!\n erlang-base-hipe erlang-syntax-tools erlang-asn1 erlang-mnesia\n erlang-runtime-tools erlang-crypto erlang-public-key erlang-ssl erlang-inets\n erlang-corba erlang-diameter erlang-xmerl erlang-edoc erlang-eldap\n erlang-erl-docgen erlang-eunit erlang-ic erlang-inviso erlang-odbc\n erlang-snmp erlang-os-mon erlang-parsetools erlang-percept erlang-ssh\n erlang-tools erlang-nox\n", "stdout_lines": ["Reading package lists...", "Building dependency tree...", "Reading state information...", "The following additional packages will be installed:", " erlang-asn1 erlang-corba erlang-crypto erlang-diameter erlang-edoc", " erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic erlang-inets", " erlang-inviso erlang-mnesia erlang-odbc erlang-os-mon erlang-parsetools", " erlang-percept erlang-public-key erlang-runtime-tools erlang-snmp erlang-ssh", " erlang-ssl erlang-syntax-tools erlang-tools erlang-xmerl libltdl7 libodbc1", " libsctp1", "Suggested packages:", " erlang erlang-manpages erlang-doc erlang-gs xsltproc fop erlang-ic-java", " libmyodbc odbc-postgresql tdsodbc unixodbc-bin lksctp-tools", "The following NEW packages will be installed:", " erlang-asn1 erlang-base-hipe erlang-corba erlang-crypto erlang-diameter", " erlang-edoc erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic", " erlang-inets erlang-inviso erlang-mnesia erlang-nox erlang-odbc", " erlang-os-mon erlang-parsetools erlang-percept erlang-public-key", " erlang-runtime-tools erlang-snmp erlang-ssh erlang-ssl erlang-syntax-tools", " erlang-tools erlang-xmerl libltdl7 libodbc1 libsctp1 socat", "0 upgraded, 30 newly installed, 0 to remove and 8 not upgraded.", "Need to get 9015 kB/22.6 MB of archives.", "After this operation, 38.8 MB of additional disk space will be used.", "WARNING: The following packages cannot be authenticated!", " erlang-base-hipe erlang-syntax-tools erlang-asn1 erlang-mnesia", " erlang-runtime-tools erlang-crypto erlang-public-key erlang-ssl erlang-inets", " erlang-corba erlang-diameter erlang-xmerl erlang-edoc erlang-eldap", " erlang-erl-docgen erlang-eunit erlang-ic erlang-inviso erlang-odbc", " erlang-snmp erlang-os-mon erlang-parsetools erlang-percept erlang-ssh", " erlang-tools erlang-nox"]}

edit retag flag offensive close merge delete